### Method

# AppStream Component get_data_id

#### Declaration [src]

    const gchar*
    as_component_get_data_id (
      AsComponent* cpt
    )

#### Description [src]

Get a unique identifier for this metadata set. This unique ID is only valid for the current session, as opposed to the AppStream ID which uniquely identifies a software component.

The format of the unique id usually is: %{scope}/%{origin}/%{distribution_system}/%{appstream_id}

For example: system/os/package/org.example.FooBar.

#### Return value

Type: `const gchar*`

The unique session-specific identifier.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.